package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.rewards.SalesLog;

/**
 * 会员销售记录表 mapper
 * @author Administrator
 *
 */
public interface SalesLogMapper {
	
	/**
	 * 根据产品类型和销售人查询会员销售记录
	 * @param salesLog
	 * @return
	 */
	public SalesLog getSalesInfo(SalesLog salesLog);
	
	/**
	 * 新增会员销售记录表记录
	 * @param salesLog
	 * @return
	 */
	public Integer insertSalesLog(SalesLog salesLog);
	
	/**
	 * 修改会员销售记录表记录
	 * @param salesLog
	 * @return
	 */
	public Integer updateSalesLog(SalesLog salesLog);
}
